> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Public Currencies

> Active currencies for the storefront switcher (base first).



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/currencies
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/currencies:
    get:
      tags:
        - currencies
      summary: List Public Currencies
      description: Active currencies for the storefront switcher (base first).
      operationId: list_public_currencies_api_v1_currencies_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_CurrencyOut__'
components:
  schemas:
    ApiResponse_list_CurrencyOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/CurrencyOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[CurrencyOut]]
    CurrencyOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        title:
          type: string
          title: Title
        code:
          type: string
          title: Code
        symbol_left:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol Left
        symbol_right:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol Right
        decimal_place:
          type: integer
          title: Decimal Place
        value:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Value
        is_base:
          type: boolean
          title: Is Base
        is_active:
          type: boolean
          title: Is Active
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - title
        - code
        - symbol_left
        - symbol_right
        - decimal_place
        - value
        - is_base
        - is_active
        - updated_at
      title: CurrencyOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta

````